Bug 845583 - enable auto support for 256 colors
enable auto support for 256 colors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 09:58 EDT by Pádraig Brady
Modified: 2016-01-04 09:47 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 13:34:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pádraig Brady 2012-08-03 09:58:48 EDT
This is for https://fedoraproject.org/wiki/Features/256_Color_Terminals
There is a central script for that feature that is used to enable 256 colors
by adjusting the TERM variable.
However to do that safely it must know the terminal can support this.
The preferred method is to check the $COLORTERM env variable
that many terminals set.
I suggest setting it COLORTERM to 'konsole'

I tested setting that variable manually, from the preferences menu,
where there is an option to add environment variables.
All worked as expected. Note when setting manually (per user) the file:
  ~/.kde/share/apps/konsole/Shell.profile file
is updated with:
  Environment=COLORTERM=konsole,TERM=xterm

thanks,
Pádraig.
Comment 1 Pádraig Brady 2012-08-03 10:03:27 EDT
Actually I just noticed a variable I could key on

  KONSOLE_DBUS_SESSION

Not as nice or standard as COLORTERM though.
If setting a default COLORTERM is awkward though,
I can use KONSOLE_DBUS_SESSION
Comment 2 Rex Dieter 2012-08-03 10:11:49 EDT
seems it sets 3:
KONSOLE_DBUS_SERVICE=
KONSOLE_DBUS_SESSION=
KONSOLE_PROFILE_NAME=

but yeah, I'm pretty sure we can do the COLORTERM thing
Comment 3 Rex Dieter 2012-11-08 13:34:58 EST
Looking closer, I think I'd feel better if you did use one of the KONSOLE_ environment variables after all.

doing otherwise may give a negative impact for kde users who don't use konsole.

I'm going to mark this WONTFIX here in kde-settings, but...
If that's not acceptable to you, please do feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.